<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sat Jun 11 22:07:23 CEST 2022 -->
<title>RegleCartePlus4SurCarteSimple</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-11">
<meta name="description" content="declaration: module: ihm.javafx, package: back.regles.reglecarteplus4, class: RegleCartePlus4SurCarteSimple">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../module-summary.html">Module</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="module-label-in-type">Module</span>&nbsp;<a href="../../../module-summary.html">ihm.javafx</a></div>
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">back.regles.reglecarteplus4</a></div>
<h1 title="Class RegleCartePlus4SurCarteSimple" class="title">Class RegleCartePlus4SurCarteSimple</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="../Regles.html" title="class in back.regles">back.regles.Regles</a>
<div class="inheritance">back.regles.reglecarteplus4.RegleCartePlus4SurCarteSimple</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">RegleCartePlus4SurCarteSimple</span>
<span class="extends-implements">extends <a href="../Regles.html" title="class in back.regles">Regles</a></span></div>
<div class="block">Classe correspondant a la pose d'une carte plus 4 sur une carte simple.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(back.regles.Regles)" class="member-name-link">RegleCartePlus4SurCarteSimple</a><wbr>(<a href="../Regles.html" title="class in back.regles">Regles</a>&nbsp;suivant)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#regler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)" class="member-name-link">regler</a><wbr>(<a href="../../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Le joueur peut poser une carte plus 4 sur une carte simple.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#saitRegler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)" class="member-name-link">saitRegler</a><wbr>(<a href="../../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Renvoie true si la regle peut traiter la pose de la carte du joueur sur
 le tas, false sinon.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-back.regles.Regles">Methods inherited from class&nbsp;back.regles.<a href="../Regles.html" title="class in back.regles">Regles</a></h3>
<code><a href="../Regles.html#setJoueurSuivantCartePasser()">setJoueurSuivantCartePasser</a>, <a href="../Regles.html#setJoueurSuivantCartePlus2()">setJoueurSuivantCartePlus2</a>, <a href="../Regles.html#setJoueurSuivantCartePlus4()">setJoueurSuivantCartePlus4</a>, <a href="../Regles.html#setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens()">setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens</a>, <a href="../Regles.html#traiter(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">traiter</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(back.regles.Regles)">
<h3>RegleCartePlus4SurCarteSimple</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">RegleCartePlus4SurCarteSimple</span><wbr><span class="parameters">(<a href="../Regles.html" title="class in back.regles">Regles</a>&nbsp;suivant)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="saitRegler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">
<h3>saitRegler</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">saitRegler</span><wbr><span class="parameters">(<a href="../../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</span></div>
<div class="block"><span class="descfrm-type-label">Description copied from class:&nbsp;<code><a href="../Regles.html#saitRegler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">Regles</a></code></span></div>
<div class="block">Renvoie true si la regle peut traiter la pose de la carte du joueur sur
 le tas, false sinon.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../Regles.html#saitRegler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">saitRegler</a></code>&nbsp;in class&nbsp;<code><a href="../Regles.html" title="class in back.regles">Regles</a></code></dd>
<dt>Parameters:</dt>
<dd><code>joueur</code> - le joueur qui pose une carte.</dd>
<dd><code>carteJoueur</code> - la carte posee.</dd>
<dd><code>carteTas</code> - la carte du tas.</dd>
<dt>Returns:</dt>
<dd>vrai si le joueur pose une carte plus 4 sur une carte simple.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="regler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">
<h3>regler</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">regler</span><wbr><span class="parameters">(<a href="../../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</span></div>
<div class="block">Le joueur peut poser une carte plus 4 sur une carte simple.
 Le joueur suivant pioche 4 cartes et passe son tour.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../Regles.html#regler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">regler</a></code>&nbsp;in class&nbsp;<code><a href="../Regles.html" title="class in back.regles">Regles</a></code></dd>
<dt>Parameters:</dt>
<dd><code>joueur</code> - le joueur qui pose une carte.</dd>
<dd><code>carteJoueur</code> - la carte posee.</dd>
<dd><code>carteTas</code> - la carte du tas.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
